package com.railway.business.app.mapper;

import com.github.pagehelper.Page;
import com.railway.business.app.domain.AppTask;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * apk更新任务
 *
 * @author zhaomn
 * @date 2021/12/13
 */
@Mapper
@Repository
public interface
AppTaskMapper {

  /**
   * 新增
   */
  int insert(AppTask appTask);

  /**
   * 删除
   */
  int delete(@Param("id") String id);

  /**
   * 更新
   */
  int update(AppTask appTask);

  /**
   * 获取单个
   */
  AppTask getInfo(@Param("id") String id);

  /**
   * 查询列表
   */
  Page<AppTask> getList(AppTask appTask);

}
